{inputs, ...}: rec {
  system = "x86_64-linux";

  pkgs = import inputs.nixpkgs {
    inherit system;
  };

  deployment = {
    host = "silver.int.min.rip";
    user = "root";
    port = 22;

    buildOnTarget = false;
  };

  modules = [
    inputs.sops-nix.nixosModules.sops
    inputs.disko.nixosModules.disko
    inputs.impermanence.nixosModules.impermanence
    inputs.breeze.nixosModules.${system}.breeze
    inputs.sim-breeze.nixosModules.${system}.sim-breeze
    ./configuration.nix
  ];
}
