_: let
  httpIntAddr = "127.0.0.1";
  httpIntPort = 14210;
  dom = "pw.min.rip";
in {
  services.nginx.virtualHosts.${dom} = {
    forceSSL = true;
    enableACME = true;

    locations."/" = {
      proxyPass = "http://${toString httpIntAddr}:${toString httpIntPort}";
    };
  };

  services.vaultwarden = {
    enable = true;

    config = {
      DOMAIN = "https://${dom}";
      SIGNUPS_ALLOWED = false;
      SHOW_PASSWORD_HINT = false;

      ROCKET_ADDRESS = httpIntAddr;
      ROCKET_PORT = 14210;
    };
  };
}
